/**
 * 
 */
package sim.graphics;

import sim.exception.SRuntimeException;

/**
 * L'interface <b>SReader</b> reprsente un objet pouvant effectuer la lecture des proprits d'un objet construit 
 *  partir d'information contenue dans un fichier.
 * 
 * @author Simon Vzina
 * @since 2015-11-07
 * @version 2015-11-07
 */
public interface SReader {

  
  /**
   * Mthode permettant d'obtenir un objet du type spcifi par la classe implmentant l'interface <b>SReader</b>
   * dont les proprits ont t lues dans un fichier.
   * 
   * @return L'objet lu par le lecteur.
   * @throws SRuntimeException S'il n'y a pas eu d'objet lu par le lecteur.
   */
  public Object getValue() throws SRuntimeException;
  
  /**
   * Mthode qui dtermine si le lecteur a effectu une lecture d'un objet.
   * 
   * @return <b>true</b> si le lecteur a effectu une lecture d'un objet et <b>false</b> sinon.
   */
  public boolean asRead();
    
}//fin de l'interface SReader
